Stock
Create Stock Lot
POST
/
api
/
v1
/
stock
/
lots
Create Stock Lot
curl --request POST \
--url https://vinmake-erp.onrender.com/api/v1/stock/lots \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"documentId": "<string>",
"stockDomain": "<string>",
"stockState": "<string>",
"itemType": "<string>",
"materialId": "<string>",
"materialSkuId": "<string>",
"styleId": "<string>",
"styleSkuId": "<string>",
"productionOrderId": "<string>",
"sourcePurchaseOrderId": "<string>",
"sourcePurchaseOrderLineItemId": "<string>",
"sourceShipmentLineItemId": "<string>",
"sourceDeliveryLineItemId": "<string>",
"sourceInboundReceiptLineItemId": "<string>",
"sourceCutJobId": "<string>",
"sourceSewingSegmentId": "<string>",
"sourceGarmentQcReportId": "<string>",
"currentLocationId": "<string>",
"supplierId": "<string>",
"batchNumber": "<string>",
"lotNumber": "<string>",
"rollNumber": "<string>",
"rollCode": "<string>",
"dyeLot": "<string>",
"cartonNumber": "<string>",
"qrCode": "<string>",
"barcode": "<string>",
"qtyInitial": 123,
"qtyCurrent": 123,
"uom": "<string>",
"qualityStatus": "<string>",
"receivedAt": "<string>",
"manufacturedAt": "<string>",
"expiresAt": "<string>",
"notes": "<string>"
}
'import requests
url = "https://vinmake-erp.onrender.com/api/v1/stock/lots"
payload = {
"documentId": "<string>",
"stockDomain": "<string>",
"stockState": "<string>",
"itemType": "<string>",
"materialId": "<string>",
"materialSkuId": "<string>",
"styleId": "<string>",
"styleSkuId": "<string>",
"productionOrderId": "<string>",
"sourcePurchaseOrderId": "<string>",
"sourcePurchaseOrderLineItemId": "<string>",
"sourceShipmentLineItemId": "<string>",
"sourceDeliveryLineItemId": "<string>",
"sourceInboundReceiptLineItemId": "<string>",
"sourceCutJobId": "<string>",
"sourceSewingSegmentId": "<string>",
"sourceGarmentQcReportId": "<string>",
"currentLocationId": "<string>",
"supplierId": "<string>",
"batchNumber": "<string>",
"lotNumber": "<string>",
"rollNumber": "<string>",
"rollCode": "<string>",
"dyeLot": "<string>",
"cartonNumber": "<string>",
"qrCode": "<string>",
"barcode": "<string>",
"qtyInitial": 123,
"qtyCurrent": 123,
"uom": "<string>",
"qualityStatus": "<string>",
"receivedAt": "<string>",
"manufacturedAt": "<string>",
"expiresAt": "<string>",
"notes": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
documentId: '<string>',
stockDomain: '<string>',
stockState: '<string>',
itemType: '<string>',
materialId: '<string>',
materialSkuId: '<string>',
styleId: '<string>',
styleSkuId: '<string>',
productionOrderId: '<string>',
sourcePurchaseOrderId: '<string>',
sourcePurchaseOrderLineItemId: '<string>',
sourceShipmentLineItemId: '<string>',
sourceDeliveryLineItemId: '<string>',
sourceInboundReceiptLineItemId: '<string>',
sourceCutJobId: '<string>',
sourceSewingSegmentId: '<string>',
sourceGarmentQcReportId: '<string>',
currentLocationId: '<string>',
supplierId: '<string>',
batchNumber: '<string>',
lotNumber: '<string>',
rollNumber: '<string>',
rollCode: '<string>',
dyeLot: '<string>',
cartonNumber: '<string>',
qrCode: '<string>',
barcode: '<string>',
qtyInitial: 123,
qtyCurrent: 123,
uom: '<string>',
qualityStatus: '<string>',
receivedAt: '<string>',
manufacturedAt: '<string>',
expiresAt: '<string>',
notes: '<string>'
})
};
fetch('https://vinmake-erp.onrender.com/api/v1/stock/lots', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"documentId": "<string>",
"stockDomain": "<string>",
"stockState": "<string>",
"itemType": "<string>",
"qtyInitial": 123,
"qtyCurrent": 123,
"uom": "<string>",
"qualityStatus": "<string>",
"materialId": "<string>",
"materialName": "<string>",
"materialSkuId": "<string>",
"styleId": "<string>",
"styleName": "<string>",
"styleSkuId": "<string>",
"productionOrderId": "<string>",
"sourcePurchaseOrderId": "<string>",
"sourcePurchaseOrderLineItemId": "<string>",
"sourceShipmentLineItemId": "<string>",
"sourceDeliveryLineItemId": "<string>",
"sourceInboundReceiptLineItemId": "<string>",
"sourceCutJobId": "<string>",
"sourceSewingSegmentId": "<string>",
"sourceGarmentQcReportId": "<string>",
"currentLocationId": "<string>",
"currentLocationName": "<string>",
"supplierId": "<string>",
"supplierName": "<string>",
"batchNumber": "<string>",
"lotNumber": "<string>",
"rollNumber": "<string>",
"rollCode": "<string>",
"dyeLot": "<string>",
"cartonNumber": "<string>",
"qrCode": "<string>",
"barcode": "<string>",
"receivedAt": "<string>",
"manufacturedAt": "<string>",
"expiresAt": "<string>",
"notes": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Body
application/json
Response
Successful Response
⌘I
Create Stock Lot
